#include <gtk/gtk.h>


void
on_load_file_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mar_ccd1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_exit1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_open1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_save_as_jpg1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_change_font_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_quit1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_about1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_etGamma_changed                     (GtkEditable     *editable,
                                        gpointer         user_data);

gboolean
on_arPrevFile_button_press_event       (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_arNextFile_button_press_event       (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
load_file_list                         (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
load_command_list                      (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void *proc_thread(void *args);

gboolean
start_processing                      (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void change_color                      (GtkWidget *widget,  
					gpointer user_data);

void on_autoscale_toggled (GtkWidget *widget, gpointer user_data);
void on_mask_toggled (GtkWidget *widget, gpointer user_data);
void on_flat_toggled (GtkWidget *widget, gpointer user_data);

void on_editing_done (GtkWidget *widget, gpointer user_data);

void slideshow_event (GtkWidget *widget, gpointer user_data);

gint button_press_event (GtkWidget *widget, GdkEventButton *event);

gint button_release_event (GtkWidget *widget, GdkEventButton *event);

gint motion_notify_event (GtkWidget *widget, GdkEventMotion *event);

void
show_image_statistics                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_Zoom_changed                      (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_format_changed                      (GtkEditable     *editable,
                                        gpointer         user_data);

void send_info_message (char *text);

void send_status_message (char *text, int which);

float getValue( GtkWidget *entry );
void setValue( GtkWidget *entry, const char *format, float v );

void
evaluate_expression                    (GtkButton       *button,
                                        gpointer         user_data);

void
save_current_set                       (GtkButton       *button,
                                        gpointer         user_data);

void
store_current_set                      (GtkButton       *button,
                                        gpointer         user_data);

void
recall_stored_set                      (GtkButton       *button,
                                        gpointer         user_data);

void
load_set_comments                      (GtkEditable     *editable,
                                        gpointer         user_data);

void
update_set_comments                    (GtkCellEditable *celleditable,
                                        gpointer         user_data);

void
toggle_DetRec                          (GtkToggleButton  *button,
                                        gpointer         user_data);

void
MarkQrz                                (GtkButton       *button,
                                        gpointer         user_data);

void
extract_line_profile                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_dezinger_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

gboolean updateImage();

void
on_cbUpdate_toggled                    (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_mask_file_changed                   (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_ffield_file_changed                 (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_distortion_file_changed             (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_RefPattern_changed                  (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_log_toggled                         (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
change_sample_geometry                 (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
load_recent_image                      (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
save_Parameter_set                     (GtkButton       *button,
                                        gpointer         user_data);

void
load_Parameter_set                     (GtkButton       *button,
                                        gpointer         user_data);

void
on_showpeak_clicked                    (GtkButton       *button,
                                        gpointer         user_data);
void show_peak(char *filename);

void
config_DetGeo                          (GtkButton       *button,
                                        gpointer         user_data);

void
DetGeo_config_done                     (GtkButton       *button,
                                        gpointer         user_data);
